Get the given resource views
curl --request GET \
--url https://api.example.com/api/views/resource/{resourceModel}import requests
url = "https://api.example.com/api/views/resource/{resourceModel}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/views/resource/{resourceModel}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"predefined": true,
"resourceModel": "<string>",
"favourite": true,
"rolesLogicExpression": "<string>",
"roles": [
{
"id": 1,
"slug": "admin",
"name": "Administrator",
"description": "Administrator role with all permissions",
"predefined": false,
"permissions": [
{
"ability": "read",
"subject": "item",
"value": true
},
{
"ability": "edit",
"subject": "item",
"value": false
}
]
}
],
"columns": [
{}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Views
Get the given resource views
GET
/
api
/
views
/
resource
/
{resourceModel}
Get the given resource views
Path Parameters
The resource model to get views for
Response
200 - application/json
Specific resource views
The unique identifier of the view
The name of the view
The slug of the view
Whether the view is predefined
The resource model associated with the view
Whether the view is marked as favourite
The roles logic expression for the view
The roles associated with the view
Show child attributes
Show child attributes
The columns associated with the view
The creation timestamp
The last update timestamp